import sys
from Konto import *
from PyQt5 import QtWidgets, uic

class MeinDialog(QtWidgets.QDialog):
    def __init__(self, parent=None):
        super().__init__(parent)
        self.ui = uic.loadUi("MeinDialog4.ui", self)
        # Objekt anlegen
        global k
        k = Konto(66124457, 450.00, "Peter Schmidt")
        self.ui.ta_ausgabe.setPlainText("Hallo " + k.inhaber + "!")
        self.ui.ta_ausgabe.appendPlainText("Ihre Kontonummer: " + str(k.kontonummer))
        self.ui.ta_ausgabe.appendPlainText("Aktueller Kontostand: " + str(k.kontostand) + " Euro")
        # Slot einrichten
        self.ui.bt_auszahlen.clicked.connect(self.on_auszahlen)
        self.ui.slider_auszahlen.valueChanged.connect(self.on_changed)
        # Minimum und Maximum des Sliders einrichten
        self.ui.slider_auszahlen.setMinimum(0)
        self.ui.slider_auszahlen.setMaximum(k.kontostand)

    def on_auszahlen(self):
        # Daten einlesen
        betrag = float(self.ui.tf_betrag.text())
        # Methode aufrufen
        k.auszahlen(betrag)
        # Daten ausgeben
        self.ui.ta_ausgabe.appendPlainText("Es wurden: " + str(betrag) + " Euro ausgezahlt.")
        self.ui.ta_ausgabe.appendPlainText("Neuer Kontostand: "+ str(k.kontostand) + " Euro")
        self.ui.slider_auszahlen.setMinimum(0)
        self.ui.slider_auszahlen.setMaximum(k.kontostand)
        
    def on_changed(self):
        betrag = self.ui.slider_auszahlen.value()
        self.ui.tf_betrag.setText(str(betrag))
        
app = QtWidgets.QApplication(sys.argv)
dialog = MeinDialog()
dialog.show()
sys.exit(app.exec_())

        